import pandas as pd
from plotly.graph_objs import Figure, Bar

data = pd.DataFrame(
    data={
        "product": ["tarte", "gâteau", "biscuit", "mille-feuille", "éclair", "brownie"],
        "price": [2.99, 3.49, 1.99, 4.99, 5.99, 6.99],
        "weight": [250, 300, 200, 400, 500, 600],
    }
)
figure: Figure = Figure(data=[])
figure.add_hrect(
    y0=2.75,
    y1=4.5,
    fillcolor="gray",
    opacity=0.25,
    layer="below",
)
figure.add_trace(Bar(name="Prix", x=data["product"], y=data["price"]))
figure.add_annotation(text="Zone de prix spéciale", xref="paper", yref="paper", x=0.5, y=0.5, xanchor="center", yanchor="middle", showarrow=False, font={"family": "Cabin", "size": 20})
figure.update_layout(
    template="seaborn",
    title="Prix et poids unitaires",
    font={"family": "Cabin", "size": 13},
    xaxis={"title": "Produit", "showgrid": False},
    yaxis={"title": "Prix (€)", "showgrid": False},
)
figure.show(renderer="browser")
